# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile


#-dontwarn com.umeng.**
#-dontwarn com.taobao.**
#-dontwarn anet.channel.**
#-dontwarn anetwork.channel.**
#-dontwarn org.android.**
#-dontwarn org.apache.thrift.**
#-dontwarn com.xiaomi.**
#-dontwarn com.huawei.**
#-dontwarn com.meizu.**
#
#-keepattributes *Annotation*
#
#-keep class com.taobao.** {*;}
#-keep class org.android.** {*;}
#-keep class anet.channel.** {*;}
#-keep class com.umeng.** {*;}
#-keep class com.xiaomi.** {*;}
#-keep class com.huawei.** {*;}
#-keep class com.meizu.** {*;}
#-keep class org.apache.thrift.** {*;}
#
#-keep class com.alibaba.sdk.android.** {*;}
#-keep class com.ut.** {*;}
#-keep class com.uc.** {*;}
#-keep class com.ta.** {*;}
#
#-keep public class **.R$* {
#    public static final int *;
#}

#-keep class org.android.agoo.xiaomi.MiPushBroadcastReceiver {*;}
#-ignorewarnings
#-keepattributes *Annotation*, Exceptions, InnerClasses, Signature, SourceFile, LineNumberTable
#-keep class com.hianalytics.android.** {*;}
#-keep class com.huawei.updatesdk.** {*;}
#-keep class com.huawei.hms.** {*;}
#-keep public class * extends android.app.Service
#-dontwarn com.vivo.push.**
#-keep class com.vivo.push.** {*;}
#-keep class com.vivo.vms.** {*;}
#-keep class com.hihonor.android.push.** {*;}
#-keep class com.hihonor.push.** {*;}
#-keep class org.android.agoo.honor.* {*;}