package com.shanp.sms;

import android.app.Activity;

import com.shanp.base.net.NetClient;

/**
 * shanpin_lxw
 * 2019/6/11
 */
public class SmsClient {

    private static String PATH;
    private static int BUTTON_VALID_STYLE;
    private static int BUTTON_INVALID_STYLE;

    public static void init(String host, String agent, String code, String path) {
        SmsConfig.HOST = host;
        SmsConfig.SMS_NET_AGENT = agent;
        SmsConfig.BUSINESS_CODE = code;
        PATH = path;
    }

    public static void initBtnStyle(int valid, int invalid) {
        BUTTON_VALID_STYLE = valid;
        BUTTON_INVALID_STYLE = invalid;
    }

    public static void getSms(Activity activity, String phone, OnSmsActionListener listener) {
        SmsTransmitter transmitter = new SmsTransmitter(PATH);
        transmitter.setSmsVerifyPopBtnStyle(BUTTON_VALID_STYLE, BUTTON_INVALID_STYLE);
        transmitter.setOnSmsActionListener(listener);
        transmitter.updateActivity(activity);
        transmitter.getSms(phone);
    }

    public static String getLastTicketNo() {
        return SmsRepository.getInstance().getTicketNo();
    }
}
