package com.shanp.base.image;

import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;

import com.bumptech.glide.request.target.CustomTarget;
import com.bumptech.glide.request.transition.Transition;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

/**
 * shanpin_lxw
 * 2019/9/26
 */
public abstract class BitmapTarget extends CustomTarget<Drawable> {


    @Override
    public void onResourceReady(@NonNull Drawable resource, @Nullable Transition<? super Drawable> transition) {
        Bitmap bitmap = ((BitmapDrawable) resource).getBitmap();
        onBitmapReady(bitmap);
    }

    @Override
    public void onLoadCleared(@Nullable Drawable placeholder) {

    }

    public abstract void onBitmapReady(Bitmap bitmap);
}
