package com.shanp.share.base;

import com.shanp.share.platform.Platform;

public interface IShare {
	
	/**
	 * 微信朋友圈
	 * @param appid
	 * @param appsecret
	 */
	public void initWechatFriend(String appid, String appsecret);
	
	/**
	 * 微信
	 * @param appid
	 * @param appsecret
	 */
	public void initWechat(String appid, String appsecret);
	
	/**
	 * QQ好友
	 * @param appid
	 * @param appkey
	 */
	public void initQQ(String appid, String appkey);
	
	/**
	 * QQ空间
	 * @param appid
	 * @param appkey
	 */
	public void initQzone(String appid, String appkey);
	
	/**
	 * 新浪微博
	 * @param appkey
	 * @param appsecret
	 */
	public void initSinaWeibo(String appkey, String appsecret);
	
	/**
	 * 分享
	 * @param info
	 */
	public void share(Platform info);
}
