package com.shanp.share.platform;


public class Wechat extends Platform{
	
	public Wechat(){
		platform = WECHAT;
	}

	public Wechat url(String title, String url, String text, String imageUrl){
		this.shareType = SHARE_URL;
		this.url = url;
		this.title = title;
		this.text = text;
		this.imageUrl = imageUrl;
		return this;
	}
	
	public Wechat image(String text, String imagePath){
		this.shareType = SHARE_IMG;
		this.text = text;
		this.imagePath = imagePath;
		return this;
	}

	public Wechat miniprogram(String userName, String path, String title, String text, String imageUrl){
		this.shareType = SHARE_WXMINIPROGRAM;
		this.wxUserName = userName;
		this.path = path;
		this.title = title;
		this.text = text;
		this.imageUrl = imageUrl;
		this.url = imageUrl;
		return this;
	}
}
