package com.shanp.sms.model;

import com.google.gson.JsonElement;
import com.shanp.base.util.GsonUtil;

import java.util.List;

/**
 * shanpin_lxw
 * 2019/3/20
 */
public class SmsRespones {

    private int code;

    private String msg;

    private JsonElement data;

    public SmsRespones() {
    }

    public SmsRespones(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public JsonElement getData() {
        return data;
    }

    public void setData(JsonElement data) {
        this.data = data;
    }

    public <T> T getDataToObj(Class<T> clazz) {
        T t = null;
        if (data != null) {
            t = GsonUtil.fromJson(data, clazz);
        }
        return t;
    }

    public <T> List<T> getDataToList(Class<T> clazz) {
        List<T> t = null;
        if (data != null) {
            t = GsonUtil.fromJsonToList(data, clazz);
        }
        return t;
    }
}
