package com.shanp.sms.net;

import java.io.File;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

/**
 * Created by Leexw on 2020-03-20.
 */
public interface NetClient {

    void setUserAgent(String agent);

    void setRequestProperty(String key, String value);

    String get(String url);

    String post(String url, String params);

    String put(String url, String params);

    String delete(String url, String params);

    String upload(String url, Map<String, Object> params, List<File> files);

    InputStream download(String url);

}
