package com.shanp.base.activity;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.Window;

import androidx.appcompat.app.AppCompatActivity;

/**
 * Leexw
 * 16/12/23
 */
public class BaseFActivity extends AppCompatActivity {

    protected Activity mContext;

    private boolean mActRunning;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        mContext = this;
    }

    @Override
    public void onWindowFocusChanged(boolean hasFocus) {
        super.onWindowFocusChanged(hasFocus);
        if (hasFocus) {
            if (!mActRunning) {
                onActivityRunning();
                mActRunning = true;
            } else {
                onActivityRunningAgain();
            }
        }
    }

    protected void onActivityRunning() {
    }

    protected void onActivityRunningAgain() {
    }

    @SuppressWarnings("unchecked")
    protected <E extends View> E find(int rid) {
        return (E) findViewById(rid);
    }

    protected void setOnClickLineter(View.OnClickListener lineter, View... views) {
        if (views == null) {
            return;
        }
        for (View v : views) {
            v.setOnClickListener(lineter);
        }
    }
}
