package com.shanp.base.image;

import android.graphics.Bitmap;
import android.widget.ImageView;

/**
 * Created by Leexw on 2020-05-14.
 */
public class BitmapImageViewTarget extends BitmapTarget {

    private ImageView mView;

    public BitmapImageViewTarget(ImageView view) {
        this.mView = view;
    }

    @Override
    public void onBitmapReady(Bitmap bitmap) {
        if (mView != null) {
            try {
                mView.setImageBitmap(bitmap);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }
}
