package com.shanp.base.image;

import android.content.Context;
import android.widget.ImageView;

/**
 * Leexw
 * 17/1/17
 */
public interface ImageLoad {

    void load(Context context, String url, ImageView view, int placeholder, int... types);

    void load(Context context, String url, ImageView view, ImageSize size, int placeholder, int... types);

    void drawable(Context context, int drawableId, ImageView view, int placeholder, int... types);

    void getBitmap(Context context, String url, BitmapTarget target, int... types);

    void getBitmap(Context context, String url, ImageSize size, BitmapTarget target, int... types);
}
