package com.shanp.base.rx;

import io.reactivex.observers.DisposableMaybeObserver;

/**
 * Created by Leexw on 2020-03-28.
 */
public abstract class MaybeTaskObserver<T> extends DisposableMaybeObserver<T> {

    @Override
    public void onError(Throwable e) {
        onFailure(e.getMessage());
        onFinish();
    }

    @Override
    public void onComplete() {
        onFinish();
    }

    public void onFailure(String msg) {

    }

    public void onFinish() {

    }
}
