package com.shanp.base.util;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * shanpin_lxw
 * 17/2/20
 */

public class DateUtil {

    public static Date getCurrentTime() {
        return new Date();
    }

    public static String getCurrentTimeStr() {
        return getTimeByFormat(new Date(), "yyyy-MM-dd HH:mm:ss");
    }

    public static String getDateTimeStr(Date date) {
        return getTimeByFormat(date, "yyyy-MM-dd HH:mm:ss");
    }

    public static Date getDateByStr(String time) {
        return getDateByFormat(time, "yyyy-MM-dd HH:mm:ss");
    }

    public static Date getDateByFormat(String time, String format) {
        Date date = null;
        try {
            SimpleDateFormat formatter = new SimpleDateFormat(format);
            date = formatter.parse(time);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return date;
    }

    public static String getTimeByFormat(Date currentTime, String format) {
        if (currentTime == null) {
            return "";
        }
        SimpleDateFormat formatter = new SimpleDateFormat(format);
        return formatter.format(currentTime);
    }

    public static int getMonthDayCount(int ym) {
        Calendar c = Calendar.getInstance();
        c.set(ym / 100, ym % 100, 0);
        return c.get(Calendar.DAY_OF_MONTH);
    }
}
