package com.shanp.share.base;

import android.content.Context;

import com.shanp.share.platform.Platform;
import com.shanp.share.sharesdk.ShareSDKShare;

public class ShareUtil {

    public static BaseShare share;

    public static void initShareSDK(Context context, String sdkid, String secret) {
        share = new ShareSDKShare(context, sdkid, secret);
    }

    /**
     * 微信朋友圈
     *
     * @param appid
     * @param appsecret
     */
    public static void initWechatFriend(String appid, String appsecret) {
        share.initWechatFriend(appid, appsecret);
    }

    /**
     * 微信
     *
     * @param appid
     * @param appsecret
     */
    public static void initWechat(String appid, String appsecret) {
        share.initWechat(appid, appsecret);
    }

    /**
     * QQ好友
     *
     * @param appid
     * @param appkey
     */
    public static void initQQ(String appid, String appkey) {
        share.initQQ(appid, appkey);
    }

    /**
     * QQ空间
     *
     * @param appid
     * @param appkey
     */
    public static void initQzone(String appid, String appkey) {
        share.initQzone(appid, appkey);
    }

    public static void initSinaWeibo(String appkey, String appsecret) {
        share.initSinaWeibo(appkey, appsecret);
    }

    public static void share(Platform info) {
        try {
            share.share(info);
        } catch (Exception e) {

        }
    }

}
