package com.shanp.share.platform;

import android.graphics.Bitmap;

import com.shanp.share.base.ShareUtil;

public abstract class Platform {
	
	public final static int WECHAT = 0;
	public final static int WECHAT_FRIEND = 1;
	public final static int QQ = 2;
	public final static int QZONE = 3;
	public final static int SINA_WEIBO = 4;
	public final static int WECHAT_MINI_PROGRAM = 5;
	
	public final static int SHARE_URL = 0;
	public final static int SHARE_IMG = 1;
	public final static int SHARE_WXMINIPROGRAM = 2;
	
	protected int platform;
	
	protected int shareType;

	protected String title;
	
	protected String text;
	
	protected String titleUrl;
	
	protected String site;
	
	protected String siteUrl;
	
	protected Bitmap imageData;
	
	protected String imageUrl;
	
	protected String url;
	
	protected String imagePath;

	protected String path;

	protected String wxUserName;
	
	public void share(){
		ShareUtil.share(this);
	}

	public int getPlatform() {
		return platform;
	}

	public int getShareType() {
		return shareType;
	}

	public String getTitle() {
		return title;
	}

	public String getText() {
		return text;
	}

	public String getTitleUrl() {
		return titleUrl;
	}

	public String getSite() {
		return site;
	}

	public String getSiteUrl() {
		return siteUrl;
	}

	public Bitmap getImageData() {
		return imageData;
	}

	public String getImageUrl() {
		return imageUrl;
	}

	public String getUrl() {
		return url;
	}

	public String getImagePath() {
		return imagePath;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getWxUserName() {
		return wxUserName;
	}

	public void setWxUserName(String wxUserName) {
		this.wxUserName = wxUserName;
	}
}
